Subject: Re: --- AgentX "WG Last Call" -- summary of issues ---

From: Mike Daniele <[email-masked]>
Date: Fri, 13 Aug 1999 15:58:58 -0400

Mark Ellison wrote:

> Hello folks-
>
> This email enumerates what I think the current issues are for the two AgentX WG
> I-Ds that are currently in last call.  It appears that there are only three open
> issues, so I'll list those first.  Comments and discussion (and resolution :-)
> are encouraged.
>
> Once we've converged on resolutions, I can edit these documents.
>
> Regards,
>
> Mark
> AgentX WG Editor
>
> ------------------
>
> 1.  (MIB) agentxSessionAdminStatus
>
>    -  leave as is, or
>
>    -  introduce a RowStatus and limit (in description)
>       the possible state transitions (active->destroy)?
>

I'm neutral on this one.

>
> 2. (MIB) xxxTimeOut objects
>
>     - what should we use for MAX-ACCESS?

read-only.

>
>     - do we want a MIN-ACCESS in the compliance section?

no.

>
>     - (RFC) probably want to loosen text related to sub-agent timeout
>        values in registrations- they are "suggestions"?

i think this makes sense.  specifically, i am suggesting this:
In section 7.2.1 modify clause 4) (c) to be

        c) otherwise (or if the specified value is not practical),  the master agent's
             implementaton-specific default value

>
>     - Do we need another MIB object (agentxMaxTimeout ?), or, is a change
>       in the RFC sufficient without another MIB object?
>

I don't think we need this new MIB object.

>
> 3.  add a range to the Unsigned32 indices so  that a value of zero is
>      excluded as a valid value. We do not want an index to be zero.
>
>     - I think we've already run through this at the bake-off, and it seems
>       that zero(0) is OK as a sessionID.  Since sessionID is used as an
>       Index, I don't think we want limit the index values further.
>

I agree (that we do not want to exclude 0 as a valid value).

>
> ----  the rest of these are editorial things I've accounted for ----------
> ----  but am listing here as a sanity check ------------------------------

...

Thanks,
Mike